# $Revision: 1.16.2.1 $, $Date: 2006/05/15 14:51:56 $
#
%define		_mver	0.6
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	A CSS2 parsing library
Summary(pl):	Biblioteka analizujca CSS2
Name:		libcroco
Version:	%{_mver}.1
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/libcroco/%{_mver}/%{name}-%{version}.tar.bz2
# Source0-md5:	b0975bd01eb11964f1b3f254f267a43d
Patch0:		%{name}-link.patch
BuildRequires:	autoconf >= 2.5
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.4.23
BuildRequires:	pkgconfig >= 1:0.8
Requires:	glib2 >= 2.0
Requires:	libxml2 >= 2.4.23
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CSS2 parsing and manipulation library for GNOME.

%description -l pl
Biblioteka analizujca i obrabiajca CSS2 dla GNOME.

%package devel
Summary:	Header files for developing with libcroco
Summary(pl):	Pliki nagwkowe do tworzenia programw uywajcych libcroco
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 2.0
Requires:	libxml2-devel >= 2.4.23

%description devel
This package provides the necessary header files files to allow you
to develop with libcroco.

%description devel -l pl
Ten pakiet dostarcza pliki nagwkowe potrzebne do tworzenia
oprogramowania korzystajcego z libcroco.

%package static
Summary:	Static version of libcroco library
Summary(pl):	Statyczna wersja biblioteki libcroco
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libcroco library.

%description static -l pl
Statyczna wersja biblioteki libcroco.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install docs/examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/csslint-%{_mver}
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
#%%{_mandir}/man1/csslint.1*

%files devel
%defattr(644,root,root,755)
%doc docs/usage.txt
%attr(755,root,root) %{_bindir}/croco-%{_mver}-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/libcroco-%{_mver}
%{_pkgconfigdir}/libcroco-%{_mver}.pc
#%%{_mandir}/man1/croco-config.1*
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcroco.spec,v $
Revision 1.16.2.1  2006/05/15 14:51:56  baggins
- merged from HEAD

Revision 1.17  2006/03/06 12:38:28  freetz
- 0.6.1

Revision 1.16  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.15  2005/06/15 18:03:01  witekfl
- added bcond_without static_libs

Revision 1.14  2004/11/27 19:21:09  saq
- massive attack: more BR epoch fixes

Revision 1.13  2004/11/18 22:35:08  qboosh
- fixed link patch, release 2

Revision 1.12  2004/11/16 14:21:17  qboosh
- TODO: broken linking to fix

Revision 1.11  2004/09/04 12:14:25  grzegol
- merged 0.6.0 from DEVEL
- rel. 1

Revision 1.10.2.1  2004/06/11 20:11:26  freetz
- 0.6.0, soname change - moved to DEVEL branch, simplifications
- where are manuals gone?!

Revision 1.10  2004/04/18 18:18:06  grzegol
- updated to 0.5.1

Revision 1.9  2004/03/18 22:07:36  qboosh
- link patch is back (updated); don't include useless Makefile* with examples

Revision 1.8  2004/03/18 00:13:21  adgor
- cp config.sub

Revision 1.7  2004/03/16 22:49:41  grzegol
- strict internal deps in -static subpackage

Revision 1.6  2004/03/16 22:07:05  aflinta
- up to version 0.5.0

Revision 1.5  2003/12/17 09:30:34  qboosh
- fixed broken update - restored linking fixes (as "link" patch)
- new-style bcond

Revision 1.4  2003/12/17 08:21:09  trojan
- updated to 0.4.0

Revision 1.3  2003/08/05 11:59:02  grzegol
- rel++ to rebuild without linc
- cosmetics/sorting/simplifications/etc.

Revision 1.2  2003/07/18 09:39:16  qboosh
- fixed libcrlayeng linking in am patch
- more deps in -devel (because of *-config)

Revision 1.1  2003/07/17 18:45:30  qboosh
- new; added am patch to fix csslint includes and linking issues,
  and to avoid building empty layeng library

* Wed Apr 2 2003 Dodji Seketeli <dodji@seketeli.org>
- initial release: SAC api, CSSOM api, basic selectors implementation.

* Sun Mar 30 2003 Christian Schaller <uraeus@gnome.org>
- created this thing
